__gnu_cxx::_Relative_pointer_impl< const _Tp > Class Template Reference

## Public Types

typedef const _Tp | element_type

## Public Member Functions

const _Tp * | get () const
bool | operator< (const _Relative_pointer_impl &__rarg) const
bool | operator== (const _Relative_pointer_impl &__rarg) const
void | set (const _Tp *__arg)

## Detailed Description

### template<typename _Tp>
class __gnu_cxx::_Relative_pointer_impl< const _Tp >

Relative_pointer_impl needs a specialization for const T because of the casting done during pointer arithmetic.

Definition at line 161 of file pointer.h.

The documentation for this class was generated from the following file:

- pointer.h